org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.impl

## Class EMFPatternLanguageFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.impl.EMFPatternLanguageFactoryImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, EMFPatternLanguageFactory

      public class EMFPatternLanguageFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements EMFPatternLanguageFactory

  An implementation of the model Factory.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage.EMFPatternLanguageFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `ClassType` | `createClassType()`
    `EClassifierConstraint` | `createEClassifierConstraint()`
    `EnumValue` | `createEnumValue()`
    `PackageImport` | `createPackageImport()`
    `PatternImport` | `createPatternImport()`
    `PatternModel` | `createPatternModel()`
    `ReferenceType` | `createReferenceType()`
    `XImportSection` | `createXImportSection()`
    `EMFPatternLanguagePackage` | `getEMFPatternLanguagePackage()`
    `static EMFPatternLanguagePackage` | `getPackage()` Deprecated.
    `static EMFPatternLanguageFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### EMFPatternLanguageFactoryImpl

          public EMFPatternLanguageFactoryImpl()

      Creates an instance of the factory.

  - ### Method Detail

    - #### init

          public static EMFPatternLanguageFactory init()

      Creates the default factory implementation.

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

    - #### createXImportSection

          public XImportSection createXImportSection()

      Specified by:
        `createXImportSection` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'XImport Section'.

    - #### createPackageImport

          public PackageImport createPackageImport()

      Specified by:
        `createPackageImport` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Package Import'.

    - #### createPatternImport

          public PatternImport createPatternImport()

      Specified by:
        `createPatternImport` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Import'.

    - #### createEClassifierConstraint

          public EClassifierConstraint createEClassifierConstraint()

      Specified by:
        `createEClassifierConstraint` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'EClassifier Constraint'.

    - #### createEnumValue

          public EnumValue createEnumValue()

      Specified by:
        `createEnumValue` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Enum Value'.

    - #### createPatternModel

          public PatternModel createPatternModel()

      Specified by:
        `createPatternModel` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Model'.

    - #### createClassType

          public ClassType createClassType()

      Specified by:
        `createClassType` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Class Type'.

    - #### createReferenceType

          public ReferenceType createReferenceType()

      Specified by:
        `createReferenceType` in interface `EMFPatternLanguageFactory`
      Returns:
        a new object of class 'Reference Type'.

    - #### getEMFPatternLanguagePackage

          public EMFPatternLanguagePackage getEMFPatternLanguagePackage()

      Specified by:
        `getEMFPatternLanguagePackage` in interface `EMFPatternLanguageFactory`
      Returns:
        the package supported by this factory.

    - #### getPackage

          @Deprecated
          public static EMFPatternLanguagePackage getPackage()

      Deprecated.